Subject: Re: bug#55488: GDM, GNOME: Can't start desktop session after upgrade

From: Ludovic Courtès <[email-masked]>
Date: Wed, 18 May 2022 10:44:14 +0200

Hi Luis,

Luis Felipe <[email-masked]> skribis:

> I'm using the Guix system. After upgrading it to recent versions of Guix (e.g. guix 1110479), I can't access the GNOME desktop. The problem is also present when creating a virtual machine with the same configuration file used for the real machine (guix system vm config.scm).

This is a config that uses Xorg, not Wayland, right?

> In the real machine, only a black screen appears. After hours, there is no change. There is no mouse pointer or any indication that the desktop has loaded.
>
> In the virtual machine, you see a black screen and the mouse pointer appearing sometimes and then disappearing. After a minute,  you are taken back to the log in screen, which now behaves erratically: when you click on your user to log in again, it shows the username input box, and, once you move the pointer to enter your username, the view is changed back to the list of users. The same happens everytime you try to log in again.

What does ‘sudo herd status’ show at that point?

I wonder if it might be <https://issues.guix.gnu.org/55488>.

If not, could you provide a minimal config that reproduces the problem?

Thanks,
Ludo’.